unit main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, Windows, MMSystem;

type

  { TFormAppli }

  TFormAppli = class(TForm)
    BtnRejouer: TButton;
    BtnQuit: TButton;
    BtnOk: TButton;
    Img4: TImage;
    Img3: TImage;
    Img2: TImage;
    Img1: TImage;
    ImgLev0: TImage;
    ImgLev1: TImage;
    ImgFond: TImage;
    LbInfo: TLabel;
    LblCred: TLabel;
    LbCredit: TLabel;
    Pan1: TPanel;
    Tempo1: TTimer;
    Tempo2: TTimer;
    Tempo3: TTimer;
    Tempo4: TTimer;
    Tempo5: TTimer;
    Tempo6: TTimer;
    Tempo7: TTimer;
    Tempo8: TTimer;
    Tempo0: TTimer;
    Tempo9: TTimer;
    Tempo10: TTimer;
    Tempo11: TTimer;
    Tempo12: TTimer;
    procedure BtnOkClick(Sender: TObject);
    procedure Calcul(Sender: TObject);
    procedure Essai(Sender: TObject);
    procedure BtnQuitClick(Sender: TObject);
    procedure BtnRejouerClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure ImgLev0MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ImgLev0MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ImgLev1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ImgLev1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Tempo0Timer(Sender: TObject);
    procedure Tempo10Timer(Sender: TObject);
    procedure Tempo11Timer(Sender: TObject);
    procedure Tempo12Timer(Sender: TObject);
    procedure Tempo1Timer(Sender: TObject);
    procedure Tempo2Timer(Sender: TObject);
    procedure Tempo3Timer(Sender: TObject);
    procedure Tempo4Timer(Sender: TObject);
    procedure Tempo5Timer(Sender: TObject);
    procedure Tempo6Timer(Sender: TObject);
    procedure Tempo7Timer(Sender: TObject);
    procedure Tempo8Timer(Sender: TObject);
    procedure Tempo9Timer(Sender: TObject);

  private
    x, y, somme, w, credit : Integer;
    a, b, c, d : Integer;
    Wdth, Hght : integer;
    tps, cred, gain : String;
    n, p ,q ,r , s, t, u, v : String;

  public

  end;

var
  FormAppli: TFormAppli;

implementation

{$R *.lfm}

{ TFormAppli }

function cdtInit(var Width,Height:Integer):Integer; StdCall; external 'CARDS.DLL'; //Initialisation de la bibliothèque des cartes

function cdtDrawExt(DC:HDC; X,Y,CardWidth,CardHeight,Card,Typ:Integer; Color:TColor):integer; StdCall; external 'CARDS.DLL'; //Affiche les cartes

function cdtTerm:Integer; StdCall; external 'CARDS.DLL'; //Libère les ressources

procedure TFormAppli.Calcul(Sender: TObject); //Calcul crédit/gain
begin
  x:= StrToInt(gain);
  y:= StrToInt(cred);
  somme:= x+y;
  LblCred.Caption:= IntToStr(somme);
  gain:= '';
end;

procedure TFormAppli.BtnOkClick(Sender: TObject);
begin
  BtnQuit.Enabled:= True; //Active le bouton Quitter
  ImgLev0.Enabled:= True; //Active le levier
  tps:='1';
  LblCred.Caption:='10'; //Pour jouer 10 fois
  cdtInit(Wdth,Hght); //Initialise la DLL
  Pan1.Hide; //Cache l'information
end;

procedure TFormAppli.Essai(Sender: TObject); //Tirage des cartes
begin
  w:= StrToInt(LblCred.Caption);
  credit:= w-1;
  Case w of
    0 : Exit; //Neutralise l'action du levier dès que plus de crédit
    1 : BtnRejouer.Show; //Montre le bouton rejouer pour Lancer une nouvelle partie
  end;
  LblCred.Caption:= IntToStr(credit); //Lien avec le calcul du crédit
  cred:= LblCred.Caption; //Idem
  Tempo1.Enabled:= True; //Lance la rotation des cartes
  Tempo1.Interval:= StrToInt(tps) * 150; //Vitesse de rotation selon tempo 1,5/10 de seconde
  Tempo0.Enabled:= False;
  PlaySound('Sonrotation.wav',0,SND_ASYNC); //Lance le son de la rotation des cartes
end;

procedure TFormAppli.BtnQuitClick(Sender: TObject); //Ferme l'application
begin
  Close;
end;

procedure TFormAppli.BtnRejouerClick(Sender: TObject); //Réalimente le crédit et relance une partie
begin
  if LblCred.Caption='0' then
    LblCred.Caption:='10'; //Pour jouer 10 fois
  BtnRejouer.Hide; //Bouton Rejouer caché
end;

procedure TFormAppli.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  Application.Terminate; //Fermeture de l'application
end;

procedure TFormAppli.FormCreate(Sender: TObject);
begin
  ImgLev1.Enabled:= False; //Levier figé
end;

procedure TFormAppli.FormDestroy(Sender: TObject);
begin
  cdtTerm; //Libère les ressources allouées
end;

procedure TFormAppli.ImgLev0MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  ImgLev0.Visible:=False; //Levier en position initiale cachée
  ImgLev1.Visible:=True; //Levier en position tirée visible
end;

procedure TFormAppli.ImgLev0MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  ImgLev0.Visible:=True; //Levier en position initiale visible
  ImgLev1.Visible:=False; //Levier en position tirée cachée
  essai(Self); //Lancement d'un essai
end;

procedure TFormAppli.ImgLev1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  ImgLev1.Visible:=True; //Levier en position tirée visible
  ImgLev0.Visible:=False; //Levier en position initiale cachée
end;

procedure TFormAppli.ImgLev1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  ImgLev1.Visible:=False; //Levier en position tirée cachée
  ImgLev0.Visible:=True; //Levier en position initiale visible
  essai(Self); //Lancement d'un essai
  Tempo0.Enabled:= False;
end;

procedure TFormAppli.Tempo0Timer(Sender: TObject); //Initialisation de la rotation des cartes selon tempo
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,0,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,5,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,10,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,15,0,clWhite);
end;

procedure TFormAppli.Tempo10Timer(Sender: TObject); //Rotation 10 des cartes selon tempo
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,40,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,45,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,50,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,3,0,clWhite);
  Tempo11.Enabled:= True;
  Tempo11.Interval:= strtoint(tps) * 150;
  Tempo10.Enabled:= False;
end;

procedure TFormAppli.Tempo11Timer(Sender: TObject); //Rotation 11 des cartes selon tempo
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,44,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,49,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,2,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,7,0,clWhite);
  Tempo12.Enabled:= True;
  Tempo12.Interval:= strtoint(tps) * 150;
  Tempo11.Enabled:= False;
end;

procedure TFormAppli.Tempo12Timer(Sender: TObject); //Rotation 12 des cartes selon tempo et lancement tirage pseudo aléatoire des cartes
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,48,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,1,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,6,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,11,0,clWhite);

  randomize;
  //Tirer et afficher les cartes en fonction du score Random
  a:= Random(13); //Tirage de 0 à 12 pour rotation des 13 cartes (trèfle)
  s:= FloatToStr(a);
  Case a of
    0 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,0,0,clWhite);
    1 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,4,0,clWhite);
    2 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,8,0,clWhite);
    3 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,12,0,clWhite);
    4 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,16,0,clWhite);
    5 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,20,0,clWhite);
    6 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,24,0,clWhite);
    7 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,28,0,clWhite);
    8 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,32,0,clWhite);
    9 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,36,0,clWhite);
    10 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,40,0,clWhite);
    11 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,44,0,clWhite);
    12 : cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,48,0,clWhite);
  end;

  //Fonctionnement identique au précédent
  b:= Random(13); //Tirage de 0 à 12 pour rotation des 13 cartes (carreau)
  t:= FloatToStr(b);
  Case b of
    0 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,1,0,clWhite);
    1 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,5,0,clWhite);
    2 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,9,0,clWhite);
    3 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,13,0,clWhite);
    4 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,17,0,clWhite);
    5 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,21,0,clWhite);
    6 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,25,0,clWhite);
    7 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,29,0,clWhite);
    8 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,33,0,clWhite);
    9 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,37,0,clWhite);
    10 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,41,0,clWhite);
    11 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,45,0,clWhite);
    12 : cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,49,0,clWhite);
  end;

  //Fonctionnement identique au précédent
  c:= Random(13); //Tirage de 0 à 12 pour rotation des 13 cartes (coeur)
  u:= FloatToStr(c);
  Case c of
    0 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,2,0,clWhite);
    1 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,6,0,clWhite);
    2 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,10,0,clWhite);
    3 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,14,0,clWhite);
    4 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,18,0,clWhite);
    5 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,22,0,clWhite);
    6 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,26,0,clWhite);
    7 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,30,0,clWhite);
    8 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,34,0,clWhite);
    9 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,38,0,clWhite);
    10 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,42,0,clWhite);
    11 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,46,0,clWhite);
    12 : cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,50,0,clWhite);
  end;

  //Fonctionnement identique au précédent
  d := Random(13); //Tirage de 0 à 12 pour rotation des 13 cartes (pique)
  v:= FloatToStr(d);
  Case d of
    0 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,3,0,clWhite);
    1 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,7,0,clWhite);
    2 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,11,0,clWhite);
    3 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,15,0,clWhite);
    4 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,19,0,clWhite);
    5 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,23,0,clWhite);
    6 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,27,0,clWhite);
    7 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,31,0,clWhite);
    8 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,35,0,clWhite);
    9 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,39,0,clWhite);
    10 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,43,0,clWhite);
    11 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,47,0,clWhite);
    12 : cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,51,0,clWhite);
  end;

  Tempo12.Enabled:= False;

  //Afficher le message, jouer le son et incrémenter le crédit quand c'est gagné

  p:=s+v; //Pour les paires noires
  Case p of //Paires noires
    '00' : gain:= '15'; //Paire d'as
    '99' : gain:= '5'; //Paire de dix
    '1010' : gain:= '10'; //Paire de valets
    '1111' : gain:= '10'; //Paire de dames
    '1212' : gain:= '10'; //Paire de rois
  end;

  q:=t+u; //Pour les paires rouges
  Case q of //Paires rouges
    '00' : gain:= '15'; //Paire d'as
    '99' : gain:= '5'; //Paire de dix
    '1010' : gain:= '10'; //Paire de valets
    '1111' : gain:= '10'; //Paire de dames
    '1212' : gain:= '10'; //Paire de rois
  end;

  n:= p+q; //Pour les carrés majeurs
  Case n of
    '0000' : gain:= '50'; //4 As
    '12121212' : gain:= '45'; //4 Rois
    '11111111' : gain:= '40'; //4 Dames
    '10101010' : gain:= '35'; //4 Valets
    '9999' : gain:= '30'; //4 Dix
  end;

  r:=s+t+u+v; //Pour les autres carrés
  Case r of
    '1111','2222','3333','4444','5555','6666','7777','8888' : gain:= '25'; //Autres carrés
  end;

  if gain <>'' then
    PlaySound('Songain.wav',0,SND_ASYNC);//Joue le son des gains

  Case gain of //Affiche le message des gains
    '50' : ShowMessage('Vous avez gagné ! + 50 à votre crédit.');
    '45' : ShowMessage('Vous avez gagné ! + 45 à votre crédit.');
    '40' : ShowMessage('Vous avez gagné ! + 40 à votre crédit.');
    '35' : ShowMessage('Vous avez gagné ! + 35 à votre crédit.');
    '30' : ShowMessage('Vous avez gagné ! + 30 à votre crédit.');
    '25' : ShowMessage('Vous avez gagné ! + 25 à votre crédit.');
    '15' : ShowMessage('Vous avez gagné ! + 15 à votre crédit.');
    '10' : ShowMessage('Vous avez gagné ! + 10 à votre crédit.');
    '5' : ShowMessage('Vous avez gagné ! + 5 à votre crédit.');
  end;

  if gain <>'' then
    Calcul(Self); //Mise à jour du crédit

  if LblCred.Caption <>'0' then
    BtnRejouer.Hide; //Bouton Rejouer caché
end;

procedure TFormAppli.Tempo1Timer(Sender: TObject); //Rotation 1 des cartes selon tempo
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,4,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,9,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,14,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,19,0,clWhite);
  Tempo2.Enabled:= True;
  Tempo2.Interval:= strtoint(tps) * 150;
  Tempo1.Enabled:= False;
end;

procedure TFormAppli.Tempo2Timer(Sender: TObject); //Rotation 2 des cartes selon tempo
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,8,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,13,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,18,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,23,0,clWhite);
  Tempo3.Enabled:= True;
  Tempo3.Interval:= strtoint(tps) * 150;
  Tempo2.Enabled:= False;
end;

procedure TFormAppli.Tempo3Timer(Sender: TObject); //Rotation 3 des cartes selon tempo
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,12,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,17,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,22,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,27,0,clWhite);
  Tempo4.Enabled:= True;
  Tempo4.Interval:= strtoint(tps) * 150;
  Tempo3.Enabled:= False;
end;

procedure TFormAppli.Tempo4Timer(Sender: TObject); //Rotation 4 des cartes selon tempo
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,16,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,21,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,26,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,31,0,clWhite);
  Tempo5.Enabled:= True;
  Tempo5.Interval:= strtoint(tps) * 150;
  Tempo4.Enabled:= False;
end;

procedure TFormAppli.Tempo5Timer(Sender: TObject); //Rotation 5 des cartes selon tempo
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,20,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,25,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,30,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,35,0,clWhite);
  Tempo6.Enabled:= True;
  Tempo6.Interval:= strtoint(tps) * 150;
  Tempo5.Enabled:= False;
end;

procedure TFormAppli.Tempo6Timer(Sender: TObject); //Rotation 6 des cartes selon tempo
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,24,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,29,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,34,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,39,0,clWhite);
  Tempo7.Enabled:= True;
  Tempo7.Interval:= strtoint(tps) * 150;
  Tempo6.Enabled:= False;
end;

procedure TFormAppli.Tempo7Timer(Sender: TObject); //Rotation 7 des cartes selon tempo
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,28,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,33,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,38,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,43,0,clWhite);
  Tempo8.Enabled:= True;
  Tempo8.Interval:= strtoint(tps) * 150;
  Tempo7.Enabled:= False;
end;


procedure TFormAppli.Tempo8Timer(Sender: TObject); //Rotation 8 des cartes selon tempo
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,32,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,37,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,42,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,47,0,clWhite);
  Tempo9.Enabled:= True;
  Tempo9.Interval:= strtoint(tps) * 150;
  Tempo8.Enabled:= False;
end;

procedure TFormAppli.Tempo9Timer(Sender: TObject); //Rotation 9 des cartes selon tempo
begin
  //Affiche les cartes selon leur valeur de paramètre Card
  cdtDrawExt(FormAppli.Canvas.Handle,85,175,100,150,36,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,235,175,100,150,41,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,385,175,100,150,46,0,clWhite);
  cdtDrawExt(FormAppli.Canvas.Handle,535,175,100,150,51,0,clWhite);
  Tempo10.Enabled:= True;
  Tempo10.Interval:= strtoint(tps) * 150;
  Tempo9.Enabled:= False;
end;

end.

